using System.Runtime.Serialization;

namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un jeton est ajouté à un code déjà complet.
    /// </summary>
    [Serializable]
    public class CodeCompletException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="CodeCompletException"/>.
        /// </summary>
        private const string messageDefaut = "Le code dans lequel vous essayez d'ajouter un jeton est déjà complet.";

        public CodeCompletException() : base(messageDefaut)
        {}

        public CodeCompletException(string message) : base(message)
        {}

        public CodeCompletException(string message, Exception exception) : base(message, exception)
        {}

        [Obsolete("This method is obsolete. Use alternative methods for data retrieval.", DiagnosticId = "SYSLIB0051")]
        protected CodeCompletException(SerializationInfo info, StreamingContext contexte) : base(info, contexte) { }

        [Obsolete("This method is obsolete. Use alternative methods for data retrieval.", DiagnosticId = "SYSLIB0051")]
        public override void GetObjectData(SerializationInfo info, StreamingContext context)
        {
            base.GetObjectData(info, context);
        }
    }
}
